%global pkgname django-tagging
Name:           python-django-tagging
Version:        0.3.1
Release:        7%{?dist}
Summary:        A generic tagging application for Django projects

Group:          Development/Languages
License:        MIT
URL:            http://code.google.com/p/django-tagging/
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
#md5=a0855f2b044db15f3f8a025fa1016ddf

BuildArch:      noarch
BuildRequires:  python2-devel
Requires:       Django

Provides:       %{pkgname} = %{version}-%{release}
# python-django-tagging-0.3.1-4 is the first renamed version
Obsoletes:      %{pkgname} < 0.3.1-4

%description
A generic tagging application for Django projects, which allows association
of a number of tags with any Model instance and makes retrieval of tags
simple.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%doc CHANGELOG.txt LICENSE.txt README.txt docs/*
%{python_sitelib}/tagging
%{python_sitelib}/django_tagging-%{version}-py?.?.egg-info

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Sep 06 2012 Matthias Runge <mrunge@redhat.com> - 0.3.1-6
- correct wrong obsoletes
- requires python-django

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Mar 03 2012 Matthias Runge <mrunge@matthias-runge.de> 0.3.1-4
- package rename to python-django-tagging

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 14 2011 Matthias Runge <mrunge@matthias-runge.de> - 0.3.1-2
- add dist-tag
* Sun Jun 26 2011 Matthias Runge <mrunge@matthias-runge.de> - 0.3.1-1
- update to version 0.3.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4.20080217svnr154
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.3-3.20080217svnr154
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2.20080217svnr154
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 02 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.3-1.20080217svnr154
- Add Requires: Django

* Wed Feb 18 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.3-0.20080217svnr154
- Initial RPM release
